package com.aiosman.riderpro.ui.splash

import android.window.SplashScreen
import androidx.compose.foundation.Image
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.material.Scaffold
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.aiosman.riderpro.R

@Composable
fun SplashScreen() {
    Scaffold {
        it
        Box(
            modifier = Modifier.fillMaxSize()
        ) {
            // to bottom
            Box(
                contentAlignment = Alignment.TopCenter,
                modifier = Modifier.padding(top = 211.dp)
            ) {
                Column(
                    horizontalAlignment = Alignment.CenterHorizontally,
                    modifier = Modifier.fillMaxWidth()
                ) {
                    Image(
                        painter = painterResource(id = R.mipmap.rider_pro_logo),
                        contentDescription = "Rider Pro",
                        modifier = Modifier
                            .width(108.dp)
                            .height(45.dp)
                    )
                    Spacer(modifier = Modifier.height(32.dp))
                    Text(
                        "Connecting Riders".uppercase(),
                        fontSize = 28.sp,
                        fontWeight = FontWeight.Bold
                    )
                    Text("Worldwide".uppercase(), fontSize = 28.sp, fontWeight = FontWeight.Bold)
                }

            }
        }

    }
}